Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddStickerToSet

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSet>
it.tdlight.jni.TdApi.AddStickerToSet

Enclosing class:
  TdApi

public static final class TdApi.AddStickerToSet extends TdApi.Function<TdApi.StickerSet>
Adds a new sticker to a set; for bots only. Returns the sticker set.

Returns `StickerSet`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`name`
Sticker set name.
`TdApi.InputSticker`
`sticker`
Sticker to add to the set.
`long`
`userId`
Sticker set owner.

## Constructor Summary

Constructors
Constructor
Description
`AddStickerToSet()`
Adds a new sticker to a set; for bots only.
`AddStickerToSet(long userId, String name, TdApi.InputSticker sticker)`
Adds a new sticker to a set; for bots only.
`AddStickerToSet(DataInput input)`
Adds a new sticker to a set; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Sticker set owner.

### name

public String name
Sticker set name.

### sticker

public TdApi.InputSticker sticker
Sticker to add to the set.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AddStickerToSet

public AddStickerToSet()
Adds a new sticker to a set; for bots only. Returns the sticker set.

Returns `StickerSet`

### AddStickerToSet

public AddStickerToSet(long userId, String name, TdApi.InputSticker sticker)
Adds a new sticker to a set; for bots only. Returns the sticker set.

Returns `StickerSet`

Parameters:
  `userId` - long Sticker set owner.
  `name` - String Sticker set name.
  `sticker` - InputSticker Sticker to add to the set.

### AddStickerToSet

public AddStickerToSet(DataInput input) throws IOException
Adds a new sticker to a set; for bots only. Returns the sticker set.

Returns `StickerSet`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`